<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetApplicationUserCapfProfileReq StructType
 * @subpackage Structs
 */
class GetApplicationUserCapfProfileReq extends AbstractStructBase
{
    /**
     * The instanceId
     * Meta information extracted from the WSDL
     * - choice: instanceId | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $instanceId;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: instanceId | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RApplicationUserCapfProfile
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetApplicationUserCapfProfileReq
     * @uses GetApplicationUserCapfProfileReq::setInstanceId()
     * @uses GetApplicationUserCapfProfileReq::setUuid()
     * @uses GetApplicationUserCapfProfileReq::setReturnedTags()
     * @uses GetApplicationUserCapfProfileReq::setSequence()
     * @param string $instanceId
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RApplicationUserCapfProfile $returnedTags
     * @param int $sequence
     */
    public function __construct($instanceId = null, $uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\RApplicationUserCapfProfile $returnedTags = null, $sequence = null)
    {
        $this
            ->setInstanceId($instanceId)
            ->setUuid($uuid)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get instanceId value
     * @return string
     */
    public function getInstanceId()
    {
        return isset($this->instanceId) ? $this->instanceId : null;
    }
    /**
     * Set instanceId value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $instanceId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetApplicationUserCapfProfileReq
     */
    public function setInstanceId($instanceId = null)
    {
        if (is_null($instanceId) || (is_array($instanceId) && empty($instanceId))) {
            unset($this->instanceId);
        } else {
            $this->instanceId = $instanceId;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetApplicationUserCapfProfileReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RApplicationUserCapfProfile|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RApplicationUserCapfProfile $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetApplicationUserCapfProfileReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RApplicationUserCapfProfile $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetApplicationUserCapfProfileReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
